# Created by pyp2rpm-3.3.1
%global pypi_name flake8-docstrings
%global src_name flake8_docstrings

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 3
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
Group:          Development/Python
License:        MIT
URL:            https://github.com/PyCQA/flake8-docstrings
Source0:        %{pypi_source flake8_docstrings}
BuildArch:      noarch
 
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pydocstyle)

%description
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstrings and run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%package -n     python3-%{pypi_name}
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstrings and run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%prep
%autosetup -n %{src_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8_docstrings

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst





%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7.0-3.mga10
+ Revision: 2240942
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.7.0-2.mga10
+ Revision: 2158233
- rebuild for python3.13

* Sat Feb 01 2025 papoteur <papoteur> 1.7.0-1.mga10
+ Revision: 2144122
- new version 1.7.0

* Thu Feb 29 2024 papoteur <papoteur> 1.6.0-2.mga10
+ Revision: 2045772
- rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.6.0-1.mga9
+ Revision: 1884722
- New version  1.6.0

* Thu Mar 24 2022 umeabot <umeabot> 1.5.0-4.mga9
+ Revision: 1825040
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1.5.0-3.mga9
+ Revision: 1784031
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.5.0-2.mga9
+ Revision: 1706462
- rebuild for python 3.9

* Thu Apr 09 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1565692
- Update to version 1.5.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1533099
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.3.0-4.mga8
+ Revision: 1443371
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.3.0-3.mga7
+ Revision: 1351249
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1288898
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1215436
- imported package python-flake8-docstrings

